module VkGroupParser
  class NotifyManager
    def initialize
      @subscribers = []
    end

    def <<(subscriber)
      @subscribers << subscriber
    end

    def notify_all(info)
      raise SubscribersEmptyError if @subscribers.empty?
      @subscribers.each{ |subscriber|
        subscriber.notify(info)
      }
    end
  end

end