module VkGroupParser
  class Parser
    def initialize(users_manager, group_manager, notify_manager)
      @users_manager = users_manager
      @group_manager = group_manager
      @notify_manager = notify_manager
    end

    def parse_members
      while @group_manager.has_next?
        @notify_manager.notify_all(
            @users_manager.get_info(
                @group_manager.get_next_members
            )
        )
      end
    end
  end
end
